## AgsLadspaManager

AgsLadspaManager — Singleton pattern to organize LADSPA

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_LADSPA_MANAGER_GET_OBJ_MUTEX()
gchar ** | ags_ladspa_manager_get_default_path ()
void | ags_ladspa_manager_set_default_path ()
gchar ** | ags_ladspa_manager_get_filenames ()
AgsLadspaPlugin * | ags_ladspa_manager_find_ladspa_plugin ()
AgsLadspaPlugin * | ags_ladspa_manager_find_ladspa_plugin_with_fallback ()
void | ags_ladspa_manager_load_blacklist ()
void | ags_ladspa_manager_load_file ()
void | ags_ladspa_manager_load_default_directory ()
GList * | ags_ladspa_manager_get_ladspa_plugin ()
AgsLadspaManager * | ags_ladspa_manager_get_instance ()
AgsLadspaManager * | ags_ladspa_manager_new ()

## Object Hierarchy

        GObject
        ╰── AgsLadspaManager

## Includes

    #include <ags/plugin/ags_ladspa_manager.h>

## Description

The AgsLadspaManager loads/unloads LADSPA plugins.

## Functions

### AGS_LADSPA_MANAGER_GET_OBJ_MUTEX()

    #define AGS_LADSPA_MANAGER_GET_OBJ_MUTEX(obj) (&(((AgsLadspaManager *) obj)->obj_mutex))

### ags_ladspa_manager_get_default_path ()

    gchar **
    ags_ladspa_manager_get_default_path ();

Get ladspa manager default plugin path.

#### Returns

the plugin default search path as a string vector.

[element-type utf8][array zero-terminated=1][transfer none]

Since: 3.0.0

### ags_ladspa_manager_set_default_path ()

    void
    ags_ladspa_manager_set_default_path (gchar **default_path);

Set ladspa manager default plugin path.

#### Parameters

default_path | the string vector array to use as default path. | [element-type utf8][array zero-terminated=1][transfer full]

Since: 3.0.0

### ags_ladspa_manager_get_filenames ()

    gchar **
    ags_ladspa_manager_get_filenames (AgsLadspaManager *ladspa_manager);

Retrieve all filenames

#### Parameters

ladspa_manager | the AgsLadspaManager |

#### Returns

a `NULL`-terminated array of filenames.

[element-type utf8][array zero-terminated=1][transfer full]

Since: 3.0.0

### ags_ladspa_manager_find_ladspa_plugin ()

    AgsLadspaPlugin *
    ags_ladspa_manager_find_ladspa_plugin (AgsLadspaManager *ladspa_manager,
                                           gchar *filename,
                                           gchar *effect);

Lookup filename in loaded plugins.

#### Parameters

ladspa_manager | the AgsLadspaManager |
filename | the filename of the plugin |
effect | the effect's name |

#### Returns

the AgsLadspaPlugin.

[transfer none]

Since: 3.0.0

### ags_ladspa_manager_find_ladspa_plugin_with_fallback ()

    AgsLadspaPlugin *
    ags_ladspa_manager_find_ladspa_plugin_with_fallback
                                   (AgsLadspaManager *ladspa_manager,
                                    gchar *filename,
                                    gchar *effect);

Lookup filename in loaded plugins.

#### Parameters

ladspa_manager | the AgsLadspaManager |
filename | the filename of the plugin |
effect | the effect's name |

#### Returns

the AgsLadspaPlugin.

[transfer none]

Since: 3.5.10

### ags_ladspa_manager_load_blacklist ()

    void
    ags_ladspa_manager_load_blacklist (AgsLadspaManager *ladspa_manager,
                                       gchar *blacklist_filename);

Load blacklisted plugin filenames.

#### Parameters

ladspa_manager | the AgsLadspaManager |
blacklist_filename | the filename as string |

Since: 3.0.0

### ags_ladspa_manager_load_file ()

    void
    ags_ladspa_manager_load_file (AgsLadspaManager *ladspa_manager,
                                  gchar *ladspa_path,
                                  gchar *filename);

Load `filename` specified plugin.

#### Parameters

ladspa_manager | the AgsLadspaManager |
ladspa_path | the LADSPA path |
filename | the filename of the plugin |

Since: 3.0.0

### ags_ladspa_manager_load_default_directory ()

    void
    ags_ladspa_manager_load_default_directory
                                   (AgsLadspaManager *ladspa_manager);

Loads all available plugins.

#### Parameters

ladspa_manager | the AgsLadspaManager |

Since: 3.0.0

### ags_ladspa_manager_get_ladspa_plugin ()

    GList *
    ags_ladspa_manager_get_ladspa_plugin (AgsLadspaManager *ladspa_manager);

Get ladspa plugin.

#### Parameters

ladspa_manager | the AgsLadspaManager |

#### Returns

the GList containing AgsLadspaPlugin.

[transfer full]

Since: 3.5.15

### ags_ladspa_manager_get_instance ()

    AgsLadspaManager *
    ags_ladspa_manager_get_instance ();

Get instance.

#### Returns

the AgsLadspaManager.

[transfer none]

Since: 3.0.0

### ags_ladspa_manager_new ()

    AgsLadspaManager *
    ags_ladspa_manager_new ();

Create a new instance of AgsLadspaManager

#### Returns

the new AgsLadspaManager

Since: 3.0.0